org.eclipse.net4j.util.security

## Interface IUserManager

- All Known Implementing Classes:
    FileUserManager, UserManager

      public interface IUserManager

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUser(java.lang.String userID, char[] password)`
    `byte[]` | `encrypt(java.lang.String userID, byte[] data, java.lang.String algorithmName, byte[] salt, int count)`
    `void` | `removeUser(java.lang.String userID)`

- - ### Method Detail

    - #### addUser

          void addUser(java.lang.String userID,
                       char[] password)

    - #### removeUser

          void removeUser(java.lang.String userID)

    - #### encrypt

          byte[] encrypt(java.lang.String userID,
                         byte[] data,
                         java.lang.String algorithmName,
                         byte[] salt,
                         int count)
                  throws java.lang.SecurityException

      Throws:
        `java.lang.SecurityException`
      Since:
        2.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html